/*
 * $Id: HTMLNodeMap.java,v 1.1 2006/04/11 16:14:32 sugimotokenichi Exp $
 * Copyright (C) 2005 SUGIMOTO Ken-ichi
 * 作成日: 2005/08/01
 */
package feat2.template;

import java.util.Iterator;


/**
 * 一意の名前がついているノードのマップ。
 * @author SUGIMOTO Ken-ichi
 */
public interface HTMLNodeMap {
    public int size();

    public HTMLNode get(String name);

    public String[] getNames();

    /**
     * このマップの値の反復子を返す。
     * @return
     */
    public Iterator iterator();
}